Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StatisticalValue

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StatisticalValue

Enclosing class:
  TdApi

public static final class TdApi.StatisticalValue extends TdApi.Object
A value with information about its recent changes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`double`
`growthRatePercentage`
The growth rate of the value, as a percentage.
`double`
`previousValue`
The value for the previous day.
`double`
`value`
The current value.

## Constructor Summary

Constructors
Constructor
Description
`StatisticalValue()`
A value with information about its recent changes.
`StatisticalValue(double value, double previousValue, double growthRatePercentage)`
A value with information about its recent changes.
`StatisticalValue(DataInput input)`
A value with information about its recent changes.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### value

public double value
The current value.

### previousValue

public double previousValue
The value for the previous day.

### growthRatePercentage

public double growthRatePercentage
The growth rate of the value, as a percentage.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### StatisticalValue

public StatisticalValue()
A value with information about its recent changes.

### StatisticalValue

public StatisticalValue(double value, double previousValue, double growthRatePercentage)
A value with information about its recent changes.

Parameters:
  `value` - double The current value.
  `previousValue` - double The value for the previous day.
  `growthRatePercentage` - double The growth rate of the value, as a percentage.

### StatisticalValue

public StatisticalValue(DataInput input) throws IOException
A value with information about its recent changes.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`